Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.ui
Class JRexPrintPreviewToolBarImpl

    java.lang.Object
      org.mozilla.jrex.ui.JRexPrintPreviewToolBarImpl

All Implemented Interfaces:
  JRexPrintPreviewToolBar

public class JRexPrintPreviewToolBarImpl
extends Object
implements JRexPrintPreviewToolBar

An interface representing JRex PrintPreview ToolBar.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`JRexPrintPreviewToolBarImpl()`

Method Summary
`void` | `hide(Window window)` Invoked to programmatically hide Print ToolBar.
`void` | `show(JRexCanvas browser, Container browserContainer, Window window)` Invoked to Show Print ToolBar and hide MenuBar and ToolBar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRexPrintPreviewToolBarImpl

    public JRexPrintPreviewToolBarImpl()

Method Detail

### show

    public void show(JRexCanvas browser,
                     Container browserContainer,
                     Window window)

  Description copied from interface: `JRexPrintPreviewToolBar`
  Invoked to Show Print ToolBar and hide MenuBar and ToolBar.

  Specified by:
    `show` in interface `JRexPrintPreviewToolBar`
  Parameters:
    `browser` - the browser component which requested Print Preview.
    `browserContainer` - the root parent of the browser component, the layout of browserContainer is expected to be BorderLayout where NORTH contains Menu and Tool bar, CENTER has browser component and SOUTH has StatusBar.
    `window` - the window which contains the browser component.
  See Also:
    `JRexBrowserData`

### hide

    public void hide(Window window)

  Description copied from interface: `JRexPrintPreviewToolBar`
  Invoked to programmatically hide Print ToolBar.

  Specified by:
    `hide` in interface `JRexPrintPreviewToolBar`
  Parameters:
    `window` - the window which contains the browser component which requested Print Preview

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.